j = 0;
% katsotaan mitk geenit ovat muuttumattomia molemmissa.
for (i=1:length(cold_removed))
   if (sum((heat_removed == cold_removed(i))))
      j = j + 1;
      removed_mutual(j) = cold_removed(i);
   end
end
dlmwrite('d:\koulu\bioinformatiikka\data\both_removed.txt',removed_mutual', '\t');

% Otetaan sellainen profiili, joka on jyrksti laskeva ja tasaantuu
[V_c,I_c] = som_divide(cold_som, cold_data_norm,[22],'index');
[V_h,I_h] = som_divide(heat_som, heat_data_norm,[22],'index');

j = 0;
for (i=1:length(I_c))
   if (sum((I_h == I_c(i))))
      j = j + 1;
      drop_mutual(j) = I_c(i);
   end
end
dlmwrite('d:\koulu\bioinformatiikka\data\both_included_dropping.txt',drop_mutual', '\t');

% Otetaan sellainen profiili, joka on jyrksti nouseva lopussa
[V_cg,I_cg] = som_divide(cold_som, cold_data_norm,[20],'index');
[V_hg,I_hg] = som_divide(heat_som, heat_data_norm,[25],'index');

j = 0;
for (i=1:length(I_cg))
   if (sum((I_hg == I_cg(i))))
      j = j + 1;
      grow_mutual(j) = I_cg(i);
   end
end
dlmwrite('d:\koulu\bioinformatiikka\data\both_included_growing.txt',grow_mutual', '\t');

% Testaan Heat Shock geenit.
tests = [431 757 916 2172 2324 2333 2346 2384 2386 2390 2433];
clusters_heat_genes_hs = som_bmus(heat_som, heat_data(tests,:));
clusters_heat_Genes_cs = som_bmus(cold_som, cold_data(tests,:));
